
/***************************************************************

		fiborg.h

   Defines and externs for fiborg.c.  

**************************************************************/

#define FIBBIN          "FIBBIN"            /* env. variable for binary path */
#define COMM_PROG       "COMPROG"	    /* filename of communication program */
#define ASTRO_PROG      "ASTROPROG"	    /* filename of astrometry program */
#define FORMAT_PROG     "CONVERTPROG"       /* filename of file converter */
#define GRAPH_PROG      "GRAPHPROG"         /* filename of file converter */
#define GRAPH_4M        "GRAPH4M"           /* filename of file converter */
#define FIBSTATUS       "FIBSTATUS"         /* env. variable for status files */
#define FIBINITS        "FIBINITS"          /* env. variable for status files */
#define FIBSCRIPTS      "FIBSCRIPTS"        /* env. variable for scripts */
#define FIBFIELDS       "FIBFIELDS"         /* env. variable for fields data path */
#define DATAFILE        "DATAFILE"          /* database file for sys config. */
#define SIMFILE         "SIMFILE"           /* database file for sim. config. */
#define STATUSFILE      "STATUSFILE"        /* database file for sim. config. */
#define SIMSTATUS       "SIMSTATUS"         /* database file for sim. config. */
#define COMPRESS_SCRIPT "archCompress"	    /* Script to purge above database */
#define HISTORY_SCRIPT  "fibhist"	    /* Script to print history */
#define COLDSTART_FILE  "ColdStart"	    /* Script to cold start the system */
#define SCREEN_ERROR    "ColdScreen"	    /* Script to recover a stuck screen */
#define Z_BASIC_INIT    "ColdZ"  	    /* Script to partially initialize Z */
#define XY_BASIC_INIT   "ColdXY"  	    /* Script to partially initialize Z */
#define XY_TO_LIMIT     "XYtoLimit"  	    /* Script to partially initialize Z */

#define CHILDOFFIBORG "c"

#define HYD_PREFIX  "hydra."
#define SIM_PREFIX  "sim."

#define SOCK_NAME	"/tmp/gph"	/* socket to graphics program */

#define PINK	1

#define COLD_TIME 5;


extern FILE *responses;
extern FILE *positionArchive;

extern FILE *graphCmds;;
extern FILE *nullFile;;

extern int direct;		/* flags for system modes */
extern int faith;		/* see fiborg.c for more info */
extern int graphic;
extern int remote;
extern int remoteTemp;
extern int verbose;
extern int quiet;		/* Don't send any output to motors */
extern int simulate;
extern int PromptHw;
extern int eccenFlag;

extern int noGWC;            	/*  flag to bypass GWC calls */

extern int NoFieldLoaded;	/* indicates no field has been loaded */


extern int FlexFlag;		/*  global flag to enable flexure mapping */

extern int Configuring;		/* flag to handle undoable moves differently */

extern int NextMove;		/* Serial number of the next move */ 

extern int progeny;
extern int supress;
extern int UserInterrupt;	/* flag that a ctrl-c has been received */

extern int commPid;		/* process ID of communication program */
extern int graphPid;		/* process ID of graphics program */

extern int Sloppiness;		/*  Current threshold for tweaking */

extern struct templateItem statusList[];

extern struct plate_coords LastXY;	/* Saved on failure to drop */
extern struct plate_coords OffsetXY;	/* difference between home and center */

extern char *ExecEnvItems[];
extern char *FieldEnvItems[];
